## geos 3.6.2

=== CMakeLists.txt ===
#################################################################################
#
# Main GEOS build configuration file for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
#
#################################################################################
project(GEOS)
cmake_minimum_required(VERSION 3.0.0)

if(NOT CMAKE_VERSION)
    set(CMAKE_VERSION
      "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")
endif()

# Location of custom CMake modules with macros used by GEOS
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules")

#################################################################################
# Setup GEOS version
#################################################################################

# GEOS release version
# GEOS C++ library SONAME will use these encoding ABI break at every release
set(VERSION_MAJOR 3)
set(VERSION_MINOR 6)
set(VERSION_PATCH 2)
set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

# JTS_PORT is the version of JTS this release is bound to
set(JTS_PORT 1.13.0)
message(STATUS "Setting GEOS version ${VERSION} as port of JTS ${JTS_PORT}")

# GEOS C API version
set(CAPI_INTERFACE_CURRENT 11)
set(CAPI_INTERFACE_REVISION 2)
set(CAPI_INTERFACE_AGE 10)

math(EXPR CAPI_VERSION_MAJOR "${CAPI_INTERFACE_CURRENT} - ${CAPI_INTERFACE_AGE}")
set(CAPI_VERSION_MINOR ${CAPI_INTERFACE_AGE})
set(CAPI_VERSION_PATCH ${CAPI_INTERFACE_REVISION})
set(CAPI_VERSION "${CAPI_VERSION_MAJOR}.${CAPI_VERSION_MINOR}.${CAPI_VERSION_PATCH}")
message(STATUS "Setting GEOS C API version ${CAPI_VERSION}")
if (NOT WIN32)
  set(CAPI_SOVERSION ${CAPI_VERSION_MAJOR})
  message(STATUS "Setting GEOS C API soversion ${CAPI_SOVERSION}")
endif()

#################################################################################
# Check custom global options
#################################################################################

option(GEOS_ENABLE_TESTS
  "Set to OFF|ON (default) to control build of GEOS tests package" ON)

option(GEOS_ENABLE_INLINE
  "Set to OFF|ON (default) to control GEOS compilation with small functions inlining" ON)

if(NOT MSVC)
  option(GEOS_ENABLE_ASSERT
    "Set to ON|OFF (default) to build GEOS with assert() macro enabled" OFF)
endif()

option(GEOS_BUILD_STATIC
  "Set to OFF|ON (default) to build GEOS static libraries" ON)

option(GEOS_BUILD_SHARED
  "Set to OFF|ON (default) to build GEOS shared libraries" ON)

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  option(GEOS_ENABLE_FLOATSTORE
    "Set to OFF|ON (default) to control IEEE754 conformance and remove extra precision" ON)
endif()

if(APPLE)
  option(GEOS_ENABLE_MACOSX_FRAMEWORK
    "Set to ON|OFF (default) to build GEOS as a Mac OS X framework" OFF)
  option(GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT
    "Set to ON|OFF (default) to add Unix compatibility to the Mac OS X framework" OFF)
endif()

#################################################################################
# Setup C/C++ compiler options
#################################################################################
set(CMAKE_CXX_STANDARD 98)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(NOT MSVC_IDE)
  if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug CACHE STRING
      "Choose the type of build, options are: None Debug Release" FORCE)
  endif()
  message(STATUS "Setting GEOS build type - ${CMAKE_BUILD_TYPE}")
endif()

if(CMAKE_BUILD_TYPE STREQUAL Debug)
  add_definitions(-D_DEBUG)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

  # General options
  set(CMAKE_CXX_FLAGS "-pedantic -ansi ${CMAKE_CXX_FLAGS}")

  # Numerical stability
  if(GEOS_ENABLE_FLOATSTORE)
    # Remove extra precision by forcing conformance to IEEE 754 rather than IEEE 854
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
  endif()
  message(STATUS
    "Forcing IEEE 754 using flag -ffloat-store - ${GEOS_ENABLE_FLOATSTORE}")

  # Warnings specification
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long")

  # Turn on Position Independent Code generation for GEOS C shared library
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

  # Enable glibc ISO C99 features (macros isfinite, isnan)
  set(CMAKE_REQUIRED_DEFINITIONS "${CMAKE_REQUIRED_DEFINITIONS} -D_ISOC99_SOURCE=1")

elseif(MSVC)

  # Set pedantic mode by default
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  string(REGEX REPLACE "/W[0-9]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  if(NOT (MSVC_VERSION LESS 1400)) # Visual Studio 2005 or later

    # Option is to enable the /MP switch for Visual Studio 2005 or later
    option(GEOS_MSVC_ENABLE_MP
      "Set to ON to build GEOS with the /MP option (Visual Studio 2005 and above)." ON)
    mark_as_advanced(GEOS_MSVC_ENABLE_MP)
    if(GEOS_MSVC_ENABLE_MP)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
    message(STATUS "Setting Visual Studio 2005+ option /MP to ${GEOS_MSVC_ENABLE_MP}")

    add_definitions(-D_SCL_SECURE_NO_WARNINGS)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DNOMINMAX)
  endif()

endif()

if(GEOS_ENABLE_INLINE)
  add_definitions(-DGEOS_INLINE)
endif()
message(STATUS
  "Setting GEOS compilation with small functions inlining - ${GEOS_ENABLE_INLINE}")

if(NOT MSVC)
  if(GEOS_ENABLE_ASSERT)
    string(REGEX REPLACE "[-/]D.*NDEBUG" "-U NDEBUG"
      CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
  endif()
  message(STATUS
    "Setting GEOS compilation with assert() macro enabled - ${GEOS_ENABLE_ASSERT}")
endif()

#################################################################################
# Setup C/C++ library features
#################################################################################

# check header files
include(CheckIncludeFiles)

check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# check types and sizes
include(CheckTypeSize)

if(MSVC)
  check_type_size("__int64" HAVE_INT64_T_64)
else()
  if(HAVE_STDINT_H OR HAVE_INTTYPES_H)
    check_type_size("int64_t" HAVE_INT64_T_64)
  else()
    check_type_size("long long int" HAVE_LONG_LONG_INT_64)
  endif()
endif()

# check functions and macros
include(CheckPrototypeExists)
include(CheckSymbolExists)

check_prototype_exists(isnan cmath HAVE_STD_ISNAN)
if(NOT HAVE_STD_ISNAN)
  if(MSVC)
    check_prototype_exists(_isnan float.h HAVE_ISNAN)
  elseif(APPLE)
    check_prototype_exists(__isnand math.h HAVE_ISNAND_XCODE)
    if(NOT HAVE_ISNAND_XCODE)
      check_prototype_exists(__inline_isnand math.h HAVE_INLINE_ISNAND_XCODE)
    endif()
  else()
    check_symbol_exists(isnan math.h HAVE_ISNAN)
  endif()
endif()

check_prototype_exists(isfinite cmath HAVE_STD_ISFINITE)

if(NOT HAVE_STD_ISFINITE)
  if(MSVC)
    check_prototype_exists(_finite float.h HAVE_FINITE)
  else()
    #CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    check_symbol_exists(isfinite math.h HAVE_ISFINITE)
  endif()
endif()

################################################################################
# Setup build directories
#################################################################################

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

################################################################################
# Setup include directories
#################################################################################

# for including GEOS C++ API headers
include_directories(${PROJECT_SOURCE_DIR}/include)

# for including build-specific GEOS C API headers
include_directories(${PROJECT_BINARY_DIR}/capi)

# for including build-specific version.h, platform.h and geos_c.h
include_directories(${PROJECT_BINARY_DIR}/include)

# for geos_ts.cpp which does #include "../geos_revision.h" whereas
# CMake generates geos_revision.h in build directory,
# to not to pollute source tree.
include_directories(${PROJECT_BINARY_DIR})

#################################################################################
# Setup checks and generate config headers
#################################################################################

#################################################################################
#  MACRO: GET_SVN_REVISION
#
#  DESCRIPTION:
#      MACRO FOR GETTING THE SVN revision for this build
#################################################################################
MACRO (GET_SVN_REVISION)
   FIND_PACKAGE(Subversion)
   IF(SUBVERSION_FOUND)
      Subversion_WC_INFO(${PROJECT_SOURCE_DIR} Project)
      # MESSAGE("Current revision is ${Project_WC_REVISION}")
      # Subversion_WC_LOG(${PROJECT_SOURCE_DIR} Project)
      # MESSAGE("Last changed log is ${Project_LAST_CHANGED_LOG}")
   ENDIF()
ENDMACRO(GET_SVN_REVISION)

# Determine SVN/Git revision
# Determine SVN/Git revision
if(EXISTS "${PROJECT_SOURCE_DIR}/.svn")
  GET_SVN_REVISION()
endif()

# geos_revision.h does not exists in source or binary directory, we generate it
if( NOT EXISTS "${PROJECT_SOURCE_DIR}/geos_revision.h" AND
    NOT EXISTS "${PROJECT_BINARY_DIR}/geos_revision.h")

  message(STATUS "Generating GEOS revision header in ${PROJECT_BINARY_DIR}/geos_revision.h")

  # CI builds (Travis CI, AppVeyor, etc.) perform git clone, not svn checkout.
  # So, CI environment needs a dummy revision to generate the required header.
  if (DEFINED ENV{CI})
     set(Project_WC_REVISION 999999)
  endif()

  if ( NOT ${Project_WC_REVISION} EQUAL 0 )
     set( GEOS_REVISION ${Project_WC_REVISION} )
     configure_file (
        "${PROJECT_SOURCE_DIR}/tools/geos_revision_cmake.h.in"
        "${PROJECT_BINARY_DIR}/geos_revision.h" )
  else()
     find_program(SH sh)
     if(SH)
        execute_process(COMMAND ${SH} -c
        "cd ${PROJECT_SOURCE_DIR} && ${PROJECT_SOURCE_DIR}/tools/repo_revision.sh")

        file(RENAME "${PROJECT_SOURCE_DIR}/geos_revision.h"
        "${PROJECT_BINARY_DIR}/geos_revision.h")
     else()
        message("*** sh-compatible command not found, cannot create geos_revision.h")
        message("*** Check SVN revision and create revision header manually:")
        message("*** echo '#define GEOS_REVISION XYZ' > ${PROJECT_SOURCE_DIR}/geos_revision.h")
     endif()
  endif()
endif()
# End: Determine SVN/Git revision

if(EXISTS ${PROJECT_SOURCE_DIR}/include/geos/platform.h)
  message(STATUS "Disabling existing ${PROJECT_SOURCE_DIR}/include/geos/platform.h")

  if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 6)
    file(REMOVE ${PROJECT_SOURCE_DIR}/include/geos/platform.h)
    set(PH_RESULT "removed")
  else()
    file(RENAME
      ${PROJECT_SOURCE_DIR}/include/geos/platform.h
      ${PROJECT_SOURCE_DIR}/include/geos/platform.h.disabled)
      set(PH_RESULT "renamed")
  endif()

  message(STATUS "Disabling existing ${PROJECT_SOURCE_DIR}/include/geos/platform.h - ${PH_RESULT}")
endif()

message(STATUS "Generating GEOS ${PROJECT_BINARY_DIR}/include/geos/platform.h")
configure_file(${PROJECT_SOURCE_DIR}/include/geos/platform.h.cmake
  ${PROJECT_BINARY_DIR}/include/geos/platform.h)

message(STATUS "Generating GEOS ${PROJECT_BINARY_DIR}/include/geos/version.h")
configure_file(${PROJECT_SOURCE_DIR}/include/geos/version.h.in
  ${PROJECT_BINARY_DIR}/include/geos/version.h @ONLY)

message(STATUS "Generating GEOS ${PROJECT_BINARY_DIR}/capi/geos_c.h")
configure_file(${PROJECT_SOURCE_DIR}/capi/geos_c.h.in
  ${PROJECT_BINARY_DIR}/capi/geos_c.h @ONLY)

=== src/CMakeLists.txt ===
#################################################################################
#
# GEOS C++ library build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

file(GLOB_RECURSE geos_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
file(GLOB_RECURSE geos_ALL_HEADERS ${CMAKE_SOURCE_DIR}/include/*.h) # fix source_group issue

if(GEOS_ENABLE_MACOSX_FRAMEWORK)
  # OS X frameworks don't have static libs
  # also 1 binary, so include CAPI here
  # and, make name all caps

  set(geos_c_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../capi/geos_c.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../capi/geos_ts_c.cpp)

  add_library(GEOS SHARED ${geos_SOURCES} ${geos_c_SOURCES})

  math(EXPR CVERSION "${VERSION_MAJOR} + 1") 
 	# VERSION = current version, SOVERSION = compatibility version 
  set_target_properties(GEOS
    PROPERTIES
    CLEAN_DIRECT_OUTPUT 1
    FRAMEWORK 1
    VERSION "${CVERSION}.${VERSION_MINOR}.${VERSION_PATCH}" 
 	  SOVERSION ${CVERSION} 
    FRAMEWORK_VERSION ${VERSION_MAJOR}
    BUILD_WITH_INSTALL_RPATH TRUE
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}"
    MACOSX_FRAMEWORK_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in"
    MACOSX_FRAMEWORK_BUNDLE_VERSION "GEOS ${VERSION}"
    MACOSX_FRAMEWORK_SHORT_VERSION_STRING ${VERSION}
    MACOSX_FRAMEWORK_IDENTIFIER org.osgeo.geos)

  install(TARGETS GEOS FRAMEWORK DESTINATION .)

  if(GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT)
    # Unix compatibility option, provides typical bin/lib/include folder
    # structure for framework-challenged projects

    set(GEOS_FWDIR "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/GEOS.framework")
    set(GEOS_FWDIR_VER "${GEOS_FWDIR}/Versions/${VERSION_MAJOR}")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/bin\")")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/include\")")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/lib\")")
    install(CODE "execute_process(COMMAND ln -sfh ../../Headers \"${GEOS_FWDIR_VER}/unix/include/geos\")")
    install(CODE "execute_process(COMMAND ln -sf ../../Headers/geos_c.h \"${GEOS_FWDIR_VER}/unix/include/geos_c.h\")")
    install(CODE "execute_process(COMMAND ln -sf ../../GEOS \"${GEOS_FWDIR_VER}/unix/lib/libgeos.dylib\")")
    install(CODE "execute_process(COMMAND ln -sf ../../GEOS \"${GEOS_FWDIR_VER}/unix/lib/libgeos_c.dylib\")")
    install(CODE "execute_process(COMMAND ln -sfh Versions/Current/unix \"${GEOS_FWDIR}/unix\")")
  endif()

else()

  if(GEOS_BUILD_SHARED)
    add_library(geos SHARED ${geos_SOURCES} ${geos_ALL_HEADERS})

    set_target_properties(geos
      PROPERTIES
      DEFINE_SYMBOL GEOS_DLL_EXPORT
      VERSION ${VERSION}
      CLEAN_DIRECT_OUTPUT 1)

    install(TARGETS geos
      RUNTIME DESTINATION bin
      LIBRARY DESTINATION lib
      ARCHIVE DESTINATION lib)
  endif()

  if(GEOS_BUILD_STATIC)
    add_library(geos-static STATIC ${geos_SOURCES} ${geos_ALL_HEADERS})

    set_target_properties(geos-static
      PROPERTIES
      OUTPUT_NAME "geos"
      PREFIX "lib"
      CLEAN_DIRECT_OUTPUT 1)

    install(TARGETS geos-static
      RUNTIME DESTINATION bin
      LIBRARY DESTINATION lib
      ARCHIVE DESTINATION lib)

  endif()

endif() # (GEOS_ENABLE_MACOSX_FRAMEWORK)

# if(APPLE)
#   set_target_properties(geos
#     PROPERTIES
#     BUILD_WITH_INSTALL_RPATH TRUE
#     INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}")
# endif()


#################################################################################
# Group source files for IDE source explorers (e.g. Visual Studio)
#################################################################################
GenerateSourceGroups(src)

=== tests/CMakeLists.txt ===
 #################################################################################
#
# GEOS tests build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

add_subdirectory(unit)
add_subdirectory(xmltester)
add_subdirectory(bigtest)
# TODO: add other test programs

=== tests/unit/CMakeLists.txt ===
#################################################################################
#
# GEOS unit tests build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

set(STATUS_MESSAGE "Enable GEOS Unit Tests build")
set(STATUS_RESULT "OFF")

if(GEOS_ENABLE_TESTS)
  include_directories(${CMAKE_SOURCE_DIR}/capi)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tut)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR})
  
  file(GLOB_RECURSE geos_unit_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
  
  add_executable(geos_unit ${geos_unit_SOURCES})
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(geos_unit GEOS)
 	else()
    target_link_libraries(geos_unit geos geos_c)
 	endif()

  add_test(geos_unit ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/geos_unit)

  set(STATUS_RESULT "ON")
endif()

message(STATUS "${STATUS_MESSAGE} - ${STATUS_RESULT}")

#################################################################################
# Group source files for IDE source explorers (e.g. Visual Studio)
#################################################################################
GenerateSourceGroups(tests/unit)

=== tests/xmltester/CMakeLists.txt ===
#################################################################################
#
# GEOS XML tests runner build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

set(STATUS_MESSAGE "Enable GEOS XML Tester build")
set(STATUS_RESULT "OFF")

if(GEOS_ENABLE_TESTS)

  include_directories(${CMAKE_CURRENT_SOURCE_DIR})
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tinyxml)

  set(simplewkttester_SOURCES SimpleWKTTester.cpp)

  set(xmltester_SOURCES
    XMLTester.cpp
    tinyxml/tinyxml.cpp
    tinyxml/tinystr.cpp
    tinyxml/tinyxmlerror.cpp
    tinyxml/tinyxmlparser.cpp
    BufferResultMatcher.cpp
    SingleSidedBufferResultMatcher.cpp)

  add_executable(simplewkttester ${simplewkttester_SOURCES})
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(simplewkttester GEOS)
 	else()
    target_link_libraries(simplewkttester geos)
 	endif()

  add_executable(xmltester ${xmltester_SOURCES})
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(xmltester GEOS)
 	else()
    target_link_libraries(xmltester geos)
  endif()

  set(XMLTESTS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tests)
  set(SAVE_XMLTESTS
    ${XMLTESTS_DIR}/testLeaksBig.xml
    ${XMLTESTS_DIR}/split.xml
    ${XMLTESTS_DIR}/hexwkb.xml
    ${XMLTESTS_DIR}/test.xml
    ${XMLTESTS_DIR}/linemerge.xml
    ${XMLTESTS_DIR}/TestIsValid.xml
    ${XMLTESTS_DIR}/robustness.xml
    ${XMLTESTS_DIR}/buffer.xml
    ${XMLTESTS_DIR}/test.xml
    ${XMLTESTS_DIR}/singlesidedbuffer.xml
    ${XMLTESTS_DIR}/ticket/bug176.xml
    ${XMLTESTS_DIR}/ticket/bug188.xml
    ${XMLTESTS_DIR}/ticket/bug244.xml
    ${XMLTESTS_DIR}/ticket/bug275.xml
    ${XMLTESTS_DIR}/general/TestBoundary.xml
    ${XMLTESTS_DIR}/general/TestBuffer.xml
    ${XMLTESTS_DIR}/general/TestBufferMitredJoin.xml
    ${XMLTESTS_DIR}/general/TestCentroid.xml
    ${XMLTESTS_DIR}/general/TestConvexHull.xml
    ${XMLTESTS_DIR}/general/TestConvexHull-big.xml
    ${XMLTESTS_DIR}/general/TestFunctionAAPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionAA.xml
    ${XMLTESTS_DIR}/general/TestFunctionLAPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionLA.xml
    ${XMLTESTS_DIR}/general/TestFunctionLLPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionLL.xml
    ${XMLTESTS_DIR}/general/TestFunctionPA.xml
    ${XMLTESTS_DIR}/general/TestFunctionPLPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionPL.xml
    ${XMLTESTS_DIR}/general/TestFunctionPP.xml
    ${XMLTESTS_DIR}/general/TestInteriorPoint.xml
    ${XMLTESTS_DIR}/general/TestRectanglePredicate.xml
    ${XMLTESTS_DIR}/general/TestRelateAA.xml
    ${XMLTESTS_DIR}/general/TestRelateLA.xml
    ${XMLTESTS_DIR}/general/TestRelateLL.xml
    ${XMLTESTS_DIR}/general/TestRelatePL.xml
    ${XMLTESTS_DIR}/general/TestRelateAC.xml
    ${XMLTESTS_DIR}/general/TestRelateLC.xml
    ${XMLTESTS_DIR}/general/TestRelatePA.xml
    ${XMLTESTS_DIR}/general/TestRelatePP.xml
    ${XMLTESTS_DIR}/general/TestSimple.xml
    ${XMLTESTS_DIR}/general/TestValid.xml
    ${XMLTESTS_DIR}/general/TestValid2.xml
    ${XMLTESTS_DIR}/general/TestValid2-big.xml
    ${XMLTESTS_DIR}/general/TestWithinDistance.xml
    ${XMLTESTS_DIR}/stmlf/stmlf-cases-20061020.xml
    ${XMLTESTS_DIR}/stmlf/stmlf-cases-20070119.xml
    ${XMLTESTS_DIR}/robust/TestRobustOverlayFixed.xml
    ${XMLTESTS_DIR}/robust/TestRobustRelate.xml
    ${XMLTESTS_DIR}/fme.xml
    ${XMLTESTS_DIR}/TestBufferExternal.xml
    ${XMLTESTS_DIR}/TestBufferExternal2.xml
    ${XMLTESTS_DIR}/heisenbugs.xml
    ${XMLTESTS_DIR}/badguy3.xml
    ${XMLTESTS_DIR}/hole_from_shell.xml
    ${XMLTESTS_DIR}/hole_red.xml
    ${XMLTESTS_DIR}/safe/16595.xml
    ${XMLTESTS_DIR}/safe/16596.xml)

  add_test(xmltester ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/xmltester ${SAVE_XMLTESTS})

  set(STATUS_RESULT "ON")
endif()

message(STATUS "${STATUS_MESSAGE} - ${STATUS_RESULT}")

=== debian/changelog ===
geos (3.6.2-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:11 +0000

geos (3.6.2-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:45 +0000

geos (3.6.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Add some Multi-Arch fields suggested by Multiarch hinter.
    (LP: #1731706)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Dec 2017 09:54:46 +0100

geos (3.6.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from 3.5.1.
  * Refresh patches.
  * Update symbols for amd64.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Dec 2017 17:42:33 +0100

geos (3.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove disabled PHP support, has split off into separate upstream project.
  * Drop ruby build dependency, pulled in via ruby-all-dev.
  * Update copyright file, changes:
    - Add Daniel Baston & Nyall Dawson to copyright holders
  * Drop isnan patches, applied upstream. Refresh remaining patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Oct 2016 19:32:54 +0200

geos (3.5.1-4) unstable; urgency=medium

  * Ignore test failures on problematic architectures only.
  * Strip trailing whitespace from changelog, control & rules files.
  * Add patch to fix empty GEOSSimplify return on inner ring collapse.
  * Change priority for libgeos-dbg from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Drop obsolete dbg package.
  * Add autopkgtest to test installability.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Nov 2017 20:12:26 +0100

geos (3.5.1-3) unstable; urgency=medium

  * Fix architectures for getGeometryN(unsigned long) symbol.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 10:09:15 +0100

geos (3.5.1-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 08:57:24 +0100

=== debian/control ===
Source: geos
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               dh-autoreconf,
               doxygen,
               pkg-kde-tools,
               ruby-all-dev,
               swig
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/geos.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/geos.git
Homepage: https://trac.osgeo.org/geos/

Package: libgeos-dev
Architecture: any
Section: libdevel
Depends: libgeos-c1v5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libgdal-doc
Description: Geometry engine for GIS - Development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the headers and libraries needed to
 develop programs using GEOS.

Package: libgeos++-dev
Architecture: any
Section: libdevel
Depends: libgeos-3.6.2 (= ${binary:Version}),
         libgeos-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgeos-dev (<< 3.3.1-1~)
Description: Geometry engine for GIS - C++ development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the headers and libraries needed to
 develop programs using GEOS in C++. Note that third-parties
 programs should use the stable C API instead of the
 unstable C++ one.

Package: libgeos-c1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeos-c1 (<< 3.4.2-8~)
Replaces: libgeos-c1 (<< 3.4.2-8~)
Description: Geometry engine for Geographic Information Systems - C Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C library. A C++ library is provided
 by the libgeos-* package.

Package: libgeos-3.6.2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C++ Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C++ library. A stable C library is provided
 by the libgeos-c* package and should be preferred by third-parties
 programs.

Package: libgeos-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: libgeos-dev (= ${binary:Version})
Description: Documentation for the GEOS GIS geometry engine library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the documentation for the GEOS API.

Package: ruby-geos
Architecture: any
Multi-Arch: same
Section: ruby
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeos-ruby1.8 (<< 3.4.2-2~)
Provides: libgeos-ruby1.8
Replaces: libgeos-ruby1.8 (<< 3.4.2-2~)
Description: GEOS bindings for Ruby
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the Ruby bindings for GEOS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Verbose test output
export VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# testrunner fails on some architectures
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Guessing geos version, which is required for C++ binding support
VER_MAJOR=$(shell grep ^VERSION_MAJOR configure.*|cut -d= -f2)
VER_MINOR=$(shell grep ^VERSION_MINOR configure.*|cut -d= -f2)
VER_PATCH=$(shell grep ^VERSION_PATCH configure.*|cut -d= -f2|cut -dr -f1)
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

ifeq (..,$(VER))
$(error configure.ac/configure.in not found or version cannot be guessed)
else
$(info Guessed geos version is $(VER))
endif

CXX = g++ -fpermissive

# catch both armel and armhf
ifneq (,$(findstring arm-linux-gnueabi,$(DEB_HOST_GNU_TYPE)))
       CONFFLAGS += --disable-inline
endif

debian/control:
	@sed -e 's/@VERSION@/$(VER)/' debian/control.in >$@

%:
	dh $@ --with autoreconf,pkgkde_symbolshelper --parallel

override_dh_clean:
	dh_clean debian/libgeos++-dev.install

override_dh_auto_configure: debian/control
	dh_auto_configure -- \
		--host=$(DEB_HOST_GNU_TYPE) \
        	--build=$(DEB_BUILD_GNU_TYPE) \
        	--enable-ruby \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		$(CONFFLAGS) \
		CXX="$(CXX)" \
		$(shell dpkg-buildflags --export=configure)

override_dh_auto_build-arch:
	dh_auto_build --arch

override_dh_auto_build-indep:
	$(MAKE) -C doc doxygen-html

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(findstring $(DEB_BUILD_ARCH),"arm64 armel armhf mips mips64el mipsel ppc64el s390x powerpc ppc64"))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install-arch:
	# add C++ headers to C++ dev package install file
	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
	find debian/tmp/usr/include/geos -name "*.h" -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >>debian/libgeos++-dev.install

	# Don't install geos.h & .inl files
	rm -f debian/tmp/usr/include/geos.h
	find debian/tmp/usr/include/geos -name "*.inl" -delete

	# Remove .la files
	find debian/tmp/usr/lib -name '*.la' -delete

	# Remove static library for Ruby
	rm -f debian/tmp/usr/lib/*/ruby/*/*/*.a

	dh_install -a --list-missing

	# remove the library from the -dev package
	rm -f $(CURDIR)/debian/libgeos-dev/usr/lib/*/libgeos-*.so

override_dh_install-indep:
	dh_install -i

	# Install doxygen html files
	install -m 644 doc/doxygen_docs/html/* debian/libgeos-doc/usr/share/doc/libgeos-doc/html

	# Install example program source
	install -m 644 doc/example.cpp debian/libgeos-doc/usr/share/doc/libgeos-doc/examples
	install -m 644 debian/Makefile.example debian/libgeos-doc/usr/share/doc/libgeos-doc/examples/Makefile

	# Remove embedded jquery.js in favor of libjs-jquery
	rm -f debian/libgeos-doc/usr/share/doc/libgeos-doc/html/jquery.js

override_dh_installman:
	dh_installman -plibgeos-dev debian/geos-config.1

override_dh_strip:
	dh_strip --dbgsym-migration='libgeos-dbg (<< 3.5.1-4~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(VER) -c0

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/geos \
(?:|.*/)geos-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## geos 3.7.0

=== capi/CMakeLists.txt ===
#################################################################################
#
# GEOS C library build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
#
#################################################################################

if(WIN32)
    add_definitions("-DGEOS_DLL_EXPORT=1")
endif()

set(geos_c_SOURCES
  geos_c.cpp
  geos_ts_c.cpp)

file(GLOB geos_capi_HEADERS ${CMAKE_BINARY_DIR}/capi/*.h) # fix source_group issue

if(NOT GEOS_ENABLE_MACOSX_FRAMEWORK AND GEOS_BUILD_SHARED)
  # if building OS X framework or only building static libs, CAPI built into C++ library
  add_library(geos_c SHARED ${geos_c_SOURCES})

  target_link_libraries(geos_c geos)

  if (WIN32)
    set_target_properties(geos_c
      PROPERTIES
      VERSION ${CAPI_VERSION}
      CLEAN_DIRECT_OUTPUT 1)
  else()
    set_target_properties(geos_c
      PROPERTIES
      VERSION ${CAPI_VERSION}
      SOVERSION ${CAPI_SOVERSION}
      CLEAN_DIRECT_OUTPUT 1)
  endif()

endif()

add_dependencies(geos_c geos_revision)

#################################################################################
# Installation
#################################################################################

if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos_c.h
    DESTINATION GEOS.framework/Versions/${VERSION_MAJOR}/Headers)
  install(CODE "execute_process(COMMAND sed -E -i \"\" \"s,# *include[[:space:]]+<geos/,#include <GEOS/,g\" \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/GEOS.framework/Versions/${VERSION_MAJOR}/Headers/geos_c.h\")")
else()
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos_c.h
    DESTINATION include)
endif()

if(NOT GEOS_ENABLE_MACOSX_FRAMEWORK AND GEOS_BUILD_SHARED)
  install(TARGETS geos_c
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib)
endif()

#################################################################################
# Group source files for IDE source explorers (e.g. Visual Studio)
#################################################################################

source_group("Header Files" FILES ${geos_capi_HEADERS})

=== tests/xmltester/CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 #
 # This is free software; you can redistribute and/or modify it under
 # the terms of the GNU Lesser General Public Licence as published
-# by the Free Software Foundation. 
+# by the Free Software Foundation.
 # See the COPYING file for more information.
 #
 #################################################################################
 
-set(STATUS_MESSAGE "Enable GEOS XML Tester build")
+set(STATUS_MESSAGE "Enable GEOS XML tests build")
 set(STATUS_RESULT "OFF")
 
 if(GEOS_ENABLE_TESTS)
@@ -30,18 +30,20 @@
     BufferResultMatcher.cpp
     SingleSidedBufferResultMatcher.cpp)
 
-  add_executable(simplewkttester ${simplewkttester_SOURCES})
+  add_executable(test_simplewkttester ${simplewkttester_SOURCES})
+
   if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
-    target_link_libraries(simplewkttester GEOS)
+    target_link_libraries(test_simplewkttester GEOS)
  	else()
-    target_link_libraries(simplewkttester geos)
+    target_link_libraries(test_simplewkttester geos)
  	endif()
 
-  add_executable(xmltester ${xmltester_SOURCES})
+  add_executable(test_xmltester ${xmltester_SOURCES})
+
   if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
-    target_link_libraries(xmltester GEOS)
+    target_link_libraries(test_xmltester GEOS)
  	else()
-    target_link_libraries(xmltester geos)
+    target_link_libraries(test_xmltester geos)
   endif()
 
   set(XMLTESTS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tests)
@@ -105,7 +107,7 @@
     ${XMLTESTS_DIR}/safe/16595.xml
     ${XMLTESTS_DIR}/safe/16596.xml)
 
-  add_test(xmltester ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/xmltester ${SAVE_XMLTESTS})
+  add_test(test_xmltester ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test_xmltester ${SAVE_XMLTESTS})
 
   set(STATUS_RESULT "ON")
 endif()

=== tests/perf/capi/CMakeLists.txt ===
#################################################################################
#
# CMake configuration for GEOS perf/capi tests
#
# Copyright (C) 2017 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
#
#################################################################################

add_executable(perf_memleak_mp_prep memleak_mp_prep.c)

target_link_libraries(perf_memleak_mp_prep geos_c)

add_test(perf_memleak_mp_prep ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/perf_memleak_mp_prep)

=== debian/changelog ===
geos (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-release from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Sep 2018 07:38:23 +0200

geos (3.7.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Sep 2018 07:13:27 +0200

geos (3.7.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Aug 2018 14:30:47 +0200

geos (3.7.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.2.0, no changes.
  * Add Mateusz Loskot to copyright holders.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Aug 2018 09:09:40 +0200

geos (3.7.0~beta1-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Use filter instead of findstring to prevent partial matches.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 16:18:56 +0200

geos (3.7.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Ignore test failures on riscv64 too.
  * Drop patches applied upstream, refresh remaining patch.
  * Update README filename in docs file.
  * Update symbols for 3.7.0~beta1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Jun 2018 22:00:03 +0200

geos (3.7.0~alpha-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Update copyright-format URL to use HTTPS.
  * Don't use libjs-jquery for Doxygen docs.
  * Bump Standards-Version to 4.1.4, no changes.
  * Fix deprecated source override location.
  * Update watch file to use HTTPS.
  * Ignore test failures on ia64 too.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from changelog, control & rules files.
  * Rename library package for version bump.
  * Drop control.in template, update library version manually.
  * Refresh patches.
  * Update upstream metadata for move to git.
  * Update copyright file, changes:
    - Add additional copyright holders
    - Update email address for Sandro Santilli
  * Add patch to fix check-local failure when quilt patches are applied.
  * Use DEB_CXXFLAGS_MAINT_PREPEND instead of a custom CXX.
  * Update symbols for 3.7.0~alpha.
  * Add patch to strip pre-release from library filename.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jun 2018 09:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: geos
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -11,9 +10,9 @@
                pkg-kde-tools,
                ruby-all-dev,
                swig
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/geos.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/geos.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
 
 Package: libgeos-dev
@@ -33,7 +32,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.6.2 (= ${binary:Version}),
+Depends: libgeos-3.7.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -73,7 +72,7 @@
  This package contains the C library. A C++ library is provided
  by the libgeos-* package.
 
-Package: libgeos-3.6.2
+Package: libgeos-3.7.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -101,8 +100,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: libgeos-dev (= ${binary:Version})
 Description: Documentation for the GEOS GIS geometry engine library
  GEOS provides a spatial object model and fundamental geometric
@@ -127,4 +125,3 @@
  OpenGIS Consortium Simple Features Specification for SQL.
  .
  This package contains the Ruby bindings for GEOS.
-
